Package org.eclipse.mat.query.quantize

# Interface Quantize.Function.Factory

All Known Implementing Classes:
  `LatestValueFunction`

Enclosing interface:
  Quantize.Function

public static interface Quantize.Function.Factory
Interface for a function factory.

## Method Summary

Modifier and Type
Method
Description
`Quantize.Function`
`build()`
Builds a new function.
`Column`
`column(String label)`
Creates a new column to display the values of a function.

## Method Details

### build

Quantize.Function build() throws Exception
Builds a new function.

Returns:
  the new function.
Throws:
  `Exception` - if there is a problem constructing the new Function.

### column

Column column(String label)
Creates a new column to display the values of a function.

Parameters:
  `label` - the readable valued used to label the column
Returns:
  the new Column